using System;
using System.Collections.Generic;
using System.Text;

namespace TopCoder.Uml.Xmi.MetaData
{
    /// <summary>
    /// Stores a reference to a uml type and an id.
    /// </summary>
    /// <author>Dan Manges (Seiz3r)</author>
    public struct TypeRef
    {
        /// <summary>
        /// The uml type of the reference.
        /// </summary>
        private UmlType umlType;

        /// <summary>
        /// The id of the reference.
        /// </summary>
        private string idRef;

        /// <summary>
        /// Create a new TypeRef based on a uml type and an id.
        /// </summary>
        /// <param name="umlType">The uml type to reference.</param>
        /// <param name="idRef">The id to reference.</param>
        public TypeRef(UmlType umlType, string idRef)
        {
            this.umlType = umlType;
            this.idRef = idRef;
        }

        /// <summary>
        /// Gets the referenced uml type.
        /// </summary>
        public UmlType UmlType
        {
            get
            {
                return this.umlType;
            }
        }
        
        /// <summary>
        /// Gets the referenced id.
        /// </summary>
        public string IdRef
        {
            get
            {
                return this.idRef;
            }
        }
    }
}